DCMTK - Patch #467

Handle Cornell bug in dcmjpeg
2012-12-18 14:11 - Uli Schlachter

Status: Closed Start date: 2012-12-18
Priority: Normal Due date:

Assignee: Marco Eichelberg % Done: 100%
Category: Library Estimated time: 0:00 hour

Target version:
Module: dcmijpeg Compiler:
Operating System:

Description
See mails by Jorg Riesmeier (December 2012).
flr einen Kunden habe ich heute ein DICOM-Bild mit einer offensichtlich

fehlerhaften JPEG-Lossless-Kodierung analysiert und versucht den
IJG-Code im DCMTK so zu patchen, dass das Bild korrekt verarbeitet wird.

Beschrieben wird das Problem recht zahlreich im Internet, u. a. hier:
http://java.net/jira/browse/JAl_IMAGEIO_CORE-85

Dort ist auch eine Ldsung dokumentiert, an der ich mich bei meinem
Patch orientiert habe. Vielleicht schaust Du ihn Dir mal an. Wir kénnen
auch gerne morgen mittag dariber reden, da ich wohl zum Escherweg
kommen werde :)

Schoén ware natirlich noch eine Log-Ausgabe, aber die kriege ich von
IJG-C-Code wohl nicht so ohne weiteres hin, oder?

Testen muss man das Ganze natirlich noch mit anderen (auch

fehlerfreien) Bildern. So bin ich mir nicht sicher, ob man den Fall "s == 16" nicht doch separat abhandeln sollte ... TomoVision
stellt das

fehlerhafte Bild Gbrigens auch richtig dar. Viele andere

DICOM-Viewer/-Toolkits (einschlieBlich) DCMTK haben aber offensichtlich

Probleme damit.

(Newest version of the patch is attached)

History

#1 - 2013-06-27 17:11 - J6rg Riesmeier
- File demjpeg_buggy _cornell_encoder.patch added
- Category set to Library

- Priority changed from Low to Normal

Here's a new version of the patch. This one has been tested with some buggy client files as well as with some correctly encoded DICOM JPEG files.

#2 - 2018-08-21 13:14 - Marco Eichelberg
- Assignee set to Marco Eichelberg

- % Done changed from 0 to 100

Closed by commit #b0b19e44c.

#3 - 2018-08-21 13:18 - Marco Eichelberg

- Status changed from New to Closed
http://java.net/jira/browse/JAI_IMAGEIO_CORE-85

dcmjpeg_new.patch 1.54 KB 2012-12-18 Uli Schlachter
dcmjpeg_buggy_cornell_encoder.patch 2.18 KB 2013-06-27 Jorg Riesmeier
